/* ==========================================================================
   #Global Styles - Start
   ========================================================================== */

$input_color: #afafae;
$input_background-color: #f5f7f7;
$table_headings: #b5b5b5;

#bbpress-forums {

    /* common styles start */
    @include mkdfRelativeHolderLayout();

    * {
        -webkit-box-sizing: border-box;
        -moz-box-sizing: border-box;
        box-sizing: border-box;
    }

    ul.bbp-lead-topic,
    ul.bbp-replies,
    ul.bbp-search-results {
        border: none;
    }

    ul.bbp-topics {
        border: 1px solid $default-border-color;
    }

    div.odd,
    ul.odd{
        background-color: transparent;
    }


    ul.bbp-forums {
        border: 1px solid $default-border-color;
    }
    /* common styles end */

    /* template notice start */
    div.bbp-template-notice.info {
        background-color: #f0f8ff;
        border-color: #badbf9;
    }
    /* template notice end */

    /* Tables header style start */
    li.bbp-header {
        background-color: #fafafa;
        border-bottom: 1px solid $default-border-color;
        border-top: none;
        padding: 0;
        > ul {
            > li {
                font-size: 16px;
                font-weight: 600;
                color: $table_headings;
                padding: 15px 0;
                text-transform: uppercase;
                &.bbp-topic-title {
                    padding-left: 30px;
                }

                &.bbp-forum-info {
                    padding-left: 30px;
                }

                &.bbp-forum-topic-count,
                &.bbp-topic-voice-count,
                &.bbp-forum-reply-count,
                &.bbp-topic-reply-count {
                    width: 10%;
                }

                &.bbp-forum-freshness,
                &.bbp-topic-freshness {
                    text-align: center!important;
                }

                &:not(:first-child):not(:last-child) {
                    text-align: center;
                }
                &:first-child,
                &:last-child {
                    text-align: left;
                }

                a {
                    color: $table_headings;
                    &:hover {
                        color: $first-main-color;
                    }
                }
            }
        }
    }
    /* Tables header style end */

    /*Tables body style stard*/
    li.bbp-body {
        padding: 0 30px;
        font-size: 14px;
        background-color: #ffffff;
        .bbp-forum-info {
            .bbp-forum-title {
                font-size: 14px;
                color: #303030;
                font-weight: 600;
            }
        }
        .bbp-forum-freshness {
            .bbp-author-name {
                font-size: 14px;
                color: $first-main-color;
            }
            .bbp-author-avatar {
                display: none;
            }
        }
    }
    /*Tables body style stard*/

    /* Tables footer style start */
    li.bbp-footer {
        display: none;
        padding: 0;
    }
    /* Tables footer style start */

    p.bbp-topic-meta,
    ul.bbp-reply-revision-log,
    ul.bbp-topic-revision-log,
    div.bbp-template-notice,
    .widget_display_topics,
    .widget_display_replies {
        img.avatar {
            border: none;
            float: none;
            margin-bottom: 0;
        }
    }
}

/* ==========================================================================
   #Global Styles - End
   ========================================================================== */
